Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface TriangulatedSurface

All Superinterfaces:
  GenericSurface, Geometry, OrientablePrimitive, OrientableSurface, PolyhedralSurface, Primitive, Surface, TransfiniteSet

All Known Subinterfaces:
  Tin

    @UML(identifier="GM_TriangulatedSurface",
         specification=ISO_19107)
    public interface TriangulatedSurface

extends PolyhedralSurface

A polyhedral surface that is composed only of triangles. There is no restriction on how the triangulation is derived.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`List<Triangle>` | `getPatches()` Associates this surface with its individual triangles.

Methods inherited from interface OrientablePrimitive
`getOrientation, getPrimitive`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives, getProxy`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Method Detail

### getPatches

    @UML(identifier="patch",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<Triangle> getPatches()

  Associates this surface with its individual triangles.

  Specified by:
    `getPatches` in interface `PolyhedralSurface`
  Specified by:
    `getPatches` in interface `Surface`
  Returns:
    The list of surface patches. Should never be `null` neither empty.
  See Also:
    `SurfacePatch.getSurface()`, `Curve.getSegments()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.